> ## Documentation Index
> Fetch the complete documentation index at: https://docs.cdp.coinbase.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Get webhook deliveries by event ID

> Retrieve webhook deliveries by its event ID.



## OpenAPI

````yaml api-reference/payment-acceptance/payment-acceptance-api.yaml get /api/v1/webhook-deliveries/event/{eventId}
openapi: 3.1.1
info:
  title: Coinbase Commerce API
  description: API for processing payments on the PaymentEscrow smart contract protocol.
  version: v0.0.1
servers:
  - url: https://payments.coinbase.com
security: []
tags:
  - name: Payments
    description: >-
      Endpoints focused on handling payment transactions.


      This includes operations for authorizing funds without immediate capture,
      and capturing previously authorized funds directly via the PaymentEscrow
      smart contract protocol. The endpoints help ensure secure and controlled
      payment processing, including verifying signatures, and updating payment
      statuses.
  - name: Rewards
    description: >-
      Endpoints for managing reward operations.


      These endpoints allow you to independently allocate, distribute, send, and
      deallocate rewards on previously successful payment operations.
  - name: Campaigns
    description: >-
      Endpoints for managing reward campaigns.


      Create and manage campaigns that integrate with the Flywheel smart
      contract to provide reward functionality. Campaigns allow merchants to
      define reward structures with customizable parameters including reward
      percentages and maximum limits.
  - name: coinbase.engine.operator_api.v1.OperatorApiService
paths:
  /api/v1/webhook-deliveries/event/{eventId}:
    get:
      tags:
        - WebhookDeliveries
      summary: Get webhook deliveries by event ID
      description: Retrieve webhook deliveries by its event ID.
      operationId: WebhooksApiService_GetWebhookDeliveriesByEventId
      parameters:
        - schema:
            type: string
          name: eventId
          description: The unique identifier of the webhook event.
          in: path
          required: true
        - schema:
            type: integer
            format: int32
          name: limit
          description: >-
            Limit


            Maximum number of webhook deliveries to return. Default is 10, Max
            is 25.
          in: query
          required: false
        - schema:
            type: string
          name: next
          description: |-
            Next

            Next item to use for pagination.
          in: query
          required: false
      responses:
        '200':
          description: A successful response.
          content:
            application/json:
              schema:
                $ref: >-
                  #/components/schemas/coinbase.engine.webhooks_api.v1.GetWebhookDeliveriesByEventIdResponse
        default:
          description: An unexpected error response.
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/google.rpc.Status'
      security:
        - Bearer: []
components:
  schemas:
    coinbase.engine.webhooks_api.v1.GetWebhookDeliveriesByEventIdResponse:
      type: object
      properties:
        webhookDeliveries:
          type: array
          items:
            $ref: >-
              #/components/schemas/coinbase.engine.webhooks_api.v1.WebhookDelivery
            type: object
          description: List of webhook deliveries.
          title: WebhookDeliveries
        pagination:
          $ref: >-
            #/components/schemas/coinbase.engine.webhooks_api.v1.PaginationResponse
          description: Pagination information for the response.
          title: Pagination
      description: List of webhook deliveries.
      title: GetWebhookDeliveriesByEventIdResponse
      required:
        - webhookDeliveries
        - pagination
    google.rpc.Status:
      type: object
      properties:
        code:
          type: integer
          format: int32
        message:
          type: string
        details:
          type: array
          items:
            $ref: '#/components/schemas/google.protobuf.Any'
            type: object
    coinbase.engine.webhooks_api.v1.WebhookDelivery:
      type: object
      properties:
        entity:
          type: string
          description: The entity type of the webhook delivery.
          title: Entity
          examples:
            - webhook-delivery
        id:
          type: string
          description: The unique identifier of the webhook delivery.
          title: ID
          examples:
            - wh_delivery_123456789
        webhookEventId:
          type: string
          description: The unique identifier of the webhook event.
          title: Webhook Event ID
          examples:
            - wh_event_123456789
        webhookId:
          type: string
          description: The unique identifier of the webhook.
          title: Webhook ID
          examples:
            - wh_123456789
        statusCode:
          type: integer
          format: int32
          description: The status code of the webhook delivery.
          title: Status Code
          examples:
            - 200
        status:
          $ref: >-
            #/components/schemas/coinbase.engine.webhooks_api.v1.WebhookDeliveryStatus
          description: The status of the webhook delivery.
          title: Status
          examples:
            - WEBHOOK_DELIVERY_STATUS_DELIVERED
        lastResponse:
          type: string
          description: The last response of the webhook delivery.
          title: Last Response
        deliveryDuration:
          type: number
          format: float
          description: The duration of the webhook delivery.
          title: Delivery Duration
          examples:
            - 1000
        createdAt:
          type: string
          format: date-time
          description: The creation time of the webhook delivery.
          title: Created At
          examples:
            - '2023-01-01T00:00:00.000Z'
        updatedAt:
          type: string
          format: date-time
          description: The last update time of the webhook delivery.
          title: Updated At
          examples:
            - '2023-01-01T00:00:00.000Z'
      description: Webhook delivery details.
      title: WebhookDelivery
      required:
        - entity
        - id
        - webhookEventId
        - webhookId
        - statusCode
        - status
        - lastResponse
        - deliveryDuration
        - createdAt
        - updatedAt
      examples:
        - entity: webhook-delivery
          id: wh_delivery_123456789
          eventId: wh_event_123456789
          webhookId: wh_123456789
          statusCode: 200
          status: WEBHOOK_DELIVERY_STATUS_DELIVERED
          createdAt: '2023-01-01T00:00:00.000Z'
          updatedAt: '2023-01-01T00:00:00.000Z'
    coinbase.engine.webhooks_api.v1.PaginationResponse:
      type: object
      properties:
        limit:
          type: integer
          format: int32
          description: Number of items per page in this response.
          title: Limit
          examples:
            - 10
        next:
          type: string
          description: Next item to use for pagination.
          title: Next Item
          examples:
            - wh_event_123456789
      description: Pagination details for list responses.
      title: PaginationResponse
      required:
        - limit
        - next
      examples:
        - limit: 10
          next: wh_event_123456789
    google.protobuf.Any:
      type: object
      properties:
        '@type':
          type: string
      additionalProperties: {}
    coinbase.engine.webhooks_api.v1.WebhookDeliveryStatus:
      type: string
      enum:
        - WEBHOOK_DELIVERY_STATUS_DELIVERED
        - WEBHOOK_DELIVERY_STATUS_FAILED
      description: Enumeration of supported webhook delivery statuses.
      title: WebhookDeliveryStatus
      examples:
        - WEBHOOK_DELIVERY_STATUS_DELIVERED
  securitySchemes:
    Bearer:
      type: apiKey
      description: >-
        Authorization header using the Bearer scheme. Learn more about JWT
        tokens in the Coinbase Developer Portal.
      name: Authorization
      in: header

````